Skip to main content
POST
/
chat
/
fork
Fork a chat call at an anchor
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/chat/fork \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parentCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fromMessageId": "<string>",
  "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "messageId": "<string>",
      "parentCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "parentAnchorMessageId": "<string>",
      "entityVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
parentCallId
string<uuid>
required
fromMessageId
string
required
Minimum string length: 1
versionId
string<uuid>
agentId
string<uuid>
workflowId
string<uuid>

Response

Forked call

success
enum<boolean>
required
Available options:
true
data
object
required